- args:
    role: user
    table:
      name: joblines
      schema: public
  type: drop_insert_permission
- args:
    permission:
      check:
        job:
          bodyshop:
            associations:
              _and:
              - user:
                  authid:
                    _eq: X-Hasura-User-Id
              - active:
                  _eq: true
      columns:
      - id
      - created_at
      - updated_at
      - jobid
      - unq_seq
      - line_ind
      - line_desc
      - part_type
      - oem_partno
      - est_seq
      - db_ref
      - line_ref
      - tax_part
      - db_price
      - act_price
      - part_qty
      - alt_partno
      - mod_lbr_ty
      - db_hrs
      - mod_lb_hrs
      - lbr_op
      - lbr_amt
      - glass_flag
      - price_inc
      - alt_part_i
      - price_j
      - cert_part
      - alt_co_id
      - alt_overrd
      - alt_partm
      - prt_dsmk_p
      - prt_dsmk_m
      - lbr_inc
      - lbr_hrs_j
      - lbr_typ_j
      - lbr_op_j
      - paint_stg
      - paint_tone
      - lbr_tax
      - misc_amt
      - misc_sublt
      - misc_tax
      - bett_type
      - bett_pctg
      - bett_amt
      - bett_tax
      localPresets:
      - key: ""
        value: ""
      set: {}
    role: user
    table:
      name: joblines
      schema: public
  type: create_insert_permission
